Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
customers
/
users
/
{customer_id}
/
change_customer_id
Change customer_id
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/customers/users/{customer_id}/change_customer_id \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_id": "<string>"
}
'
{
  "type": "customer",
  "customer_id": "<string>",
  "metadata": {
    "dob_year": 1985
  },
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "first_name": "John",
  "last_name": "Doe",
  "email": "customer@example.com",
  "phone_number": "+4799999999",
  "attributes": {},
  "status": "<string>",
  "favorite_store": "<string>",
  "enrolled_by": {
    "value": "https://facebook.com",
    "type": "url"
  },
  "marketing_consent": {
    "sms": {
      "consent": true,
      "updated_at": "2018-01-12T13:42:00Z"
    },
    "email": {
      "consent": true,
      "updated_at": "2018-01-12T13:42:00Z"
    }
  },
  "addresses": [
    {
      "address_line": "Sommerkroveien 34",
      "postal_place": "Oslo",
      "country": "NO",
      "address_line_2": "PB 123",
      "postal_code": "0349",
      "latitude": 59.942112,
      "longitude": 10.716991,
      "type": "custom",
      "custom_type": "<string>",
      "comment": "5th floor, use doorbell."
    }
  ],
  "term": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "accepted_at": "2023-11-07T05:31:56Z"
  },
  "company": {
    "bussiness_name": "TKP tech AS",
    "organization_number": "123456789MVA",
    "department": "sales department",
    "industry": "computer industry",
    "website": "<string>",
    "number_of_employees": "<string>"
  },
  "gender": "male",
  "date_of_birth": "1990-09-20",
  "contact_for": [
    {
      "customer_id": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
customer_id
string
required

The customer id you have defined for the customer. (must not have trailing or leading spaces)

Maximum string length: 255

Body

application/json

Customer update

customer_id
string

New customer_id (must not have trailing or leading spaces).

Required string length: 1 - 255

Response

Customer updated

type
enum<string>
default:customer
required

Describe type of a user.

  • company property is required when using the type company
  • company property is only supported for users with type other or company
  • Creating or updating user with type employee or other requires admin:customers or write:customers scope.
  • User login is only available for users with type customer or company
Available options:
customer,
company,
contact,
employee,
other
customer_id
string
required
read-only

The customer id you have defined for the customer. (must not have trailing or leading spaces) An auto-generated customer_id will be created if no customer_id is provided.

Maximum string length: 255
metadata
object

A set of key/value pairs that you can attach to a customer object. It can be useful for storing additional information about the customer in a structured format. You can unset an individual key by setting its value to null and then saving. To clear all keys, set metadata to null

Example:
{ "dob_year": 1985 }
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
first_name
string | null
Example:

"John"

last_name
string | null
Example:

"Doe"

email
string | null

customer email, case insensitive duplication control prevents multiple user with same type to have equal email

customer@example.com is equal to CUStOMer@EXAMPLE.com

Example:

"customer@example.com"

phone_number
string<^\+?[1-9]\d{1,14}$> | null

A phone number in E.164 number formatting.

Example:

"+4799999999"

attributes
object

Custom attributes

status
string | null

Status of the customer

favorite_store
string | null

customer favorite store

enrolled_by
object

The source that recruited the customer

Customers consent for marketing in different channels

addresses
object[]
term
object
company
object

Company details, supported when type is Company

gender
string | null
Example:

"male"

date_of_birth
string<date> | null
Example:

"1990-09-20"

contact_for
object[]

The users that it is a contact for, supported when type is contact